import {
	observer
} from 'mobx-react';

@observer
export default class PreInfo extends React.Component {
	constructor(props) {
		super(props);
	}

	render() {
		const {
			preInfo
		} = this.props;

		return (
			<div>
				{
					preInfo.map(item => {
						const {
							imgSrc,
							title,
							info
						} = item;

						return (
							<div className='info'>
								<div className='img'>
									<img src={imgSrc} />
								</div>
								<div className='desc'>
									<div>{title}</div>
									<div>{info}</div>
								</div>
							</div>
						)
					})
				}
			</div>
		);
	}
}